【改朝換代】CMS架站程式Joomla! 1.6 將只支援PHP5環境

【改朝換代】CMS架站程式Joomla! 1.6 將只支援PHP5環境

根據在新的Joomla!官方的開發網站中,這篇發表在五月中的開發部落格文章「Joomla! goes PHP 5」,明確的指出,在下一個Joomla!的版本(應該是1.6)就不會再支援PHP4的環境,隨著只支援PHP5,MySQL也只支援4.1以上的版本。(逐步的改朝換代的時間好像已經來臨了)
其實目前很多虛擬主機已經都改成PHP5了,其實PHP5已經出來那麼久了(也該有出頭的日子了)

當然,有很充份的理由是PHP官方在今年(2008)下半年就會停止再發佈PHP4新的版本。PHP官方網站寫出在2007年年底就停止PHP4的相關支援了。
早在這時,有許多的Open Source的專案都紛紛把專案移到PHP5上作為開發平台。
這個網站GoPHP5.org有列出一個表,裡面約有100個已經移至PHP5的Open Source專案。許多知名的網站應用程式或CMS,早就已經移轉到PHP5,比較起來,Joomla!的移轉是慢了許多。

此外,Joomla!官方也宣佈,1.6版本的向下相容模式(Legacy Mode),只針對1.5作向下相容,意思是說1.6將不會再支援1.0版本的擴充套件。
過去大家怕各種架站程式CMS架站程式Joomla!是否支援PHP5?以後要注意的卻是CMS架站程式Joomla!:新版本是否支援PHP4?

引用通告位址: 點閱取得引用位址
標籤: Joomla! 網站架站程式
評論: 0 | 引用: 0 | 閱讀: 2170